<template>
  <b-container fluid class="title-bar">
    <b-row align-v="center">
      <b-col>SIMULATOR</b-col>
      <b-col class="title-btns">
        <b-button-group size="sm">
          <b-button squared class="control-btn minimize-btn" @mouseup="minimizeApp">
            <b-icon icon="dash"></b-icon>
          </b-button>
          <b-button squared class="control-btn maximize-btn" @mouseup="maximizeApp">
            <b-icon icon="plus"></b-icon>
          </b-button>
          <b-button squared class="control-btn exit-btn" @mouseup="closeApp">
            <b-icon icon="x"></b-icon>
          </b-button>
        </b-button-group>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
const remote = require("electron").remote;

export default {
  name: "TitleBar",
  methods: {
    closeApp() {
      remote.getCurrentWindow().close();
    },
    maximizeApp() {
      var win = remote.getCurrentWindow();
      win.isMaximized() ? win.unmaximize() : win.maximize();
    },
    minimizeApp() {
      remote.getCurrentWindow().minimize();
    }
  }
};
</script>

<style>
.title-bar {
  padding-left: 25px !important;
  padding-right: 0px !important;
  margin-bottom: 20px;
  -webkit-app-region: drag;
}

.title-btns {
  text-align: right;
}

.control-btn {
  background: white !important;
  color: black !important;
  border: 0px !important;
  -webkit-app-region: no-drag;
}

.minimize-btn:hover {
  background-color: cornflowerblue !important;
  color: white !important;
}

.maximize-btn:hover {
  background-color: green !important;
  color: white !important;
}

.exit-btn:hover {
  background-color: red !important;
  color: white !important;
}
</style>